function completeVocabWordList()
{
	var aWords = document.getElementById("words").value.split(/\s*[\r\n]+\s*/);
	var oTabBrowser = Components.classes["@mozilla.org/appshell/window-mediator;1"].getService(Components.interfaces.nsIWindowMediator).getMostRecentWindow("navigator:browser").gBrowser;
	var oTab = oTabBrowser.addTab("about:blank");
	oTabBrowser.selectedTab = oTab;
	var oBrowser = oTabBrowser.getBrowserForTab(oTab);
	function eventListener()
	{
		oBrowser.removeEventListener("load", eventListener, true);
		var oDoc = oBrowser.contentDocument.wrappedJSObject;
		oDoc.title = "Vocabulary Word List Completer - " + aWords.length + " words";
		aWords.forEach(
		function(sWord)
		{
			var oDiv = oDoc.createElement("div");
			oDoc.body.appendChild(oDiv);
			var oStrong = oDoc.createElement("strong");
			oStrong.appendChild(oDoc.createTextNode(sWord));
			oDiv.appendChild(oStrong);
			oDiv.appendChild(oDoc.createTextNode(" - "));
			var oSpan = oDoc.createElement("span");
			oDiv.appendChild(oSpan);
			var oRequest = new XMLHttpRequest();
			oRequest.open("GET", "http://webster.com/dictionary/" + sWord, true);
			oRequest.onload = {oSpan: oSpan, handleEvent: completeVocabWordList2};
			oRequest.send(null);
		});
	}
	oBrowser.addEventListener("load", eventListener, true);
} 

function completeVocabWordList2(oEvent)
{	
	this.oSpan.innerHTML = oEvent.target.responseText.match(/:<\/b> ([^]*?)(<b|&lt|:|;)/)[1];
}